RISubscription (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.ri
Class RISubscription

    java.lang.Object
      java.lang.Thread
          org.gcube.messaging.common.consumer.BrokerSubscription<RIListener>
              org.gcube.messaging.common.consumer.ri.RISubscription

All Implemented Interfaces:
  Runnable, javax.jms.ExceptionListener

    public class RISubscription

extends BrokerSubscription<RIListener>

Author:
  Andrea Manzi(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.messaging.common.consumer.BrokerSubscription
`BrokerSubscription.TopicCouple`

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.gcube.messaging.common.consumer.BrokerSubscription
`ackMode, connections, couple, listener, logger, messageSelectors, queue, transacted`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RISubscription()`

Method Summary
`void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)` set the scope

Methods inherited from class org.gcube.messaging.common.consumer.BrokerSubscription
`getConnections, getCouple, getListener, getMessageSelectors, onException, run, setConnections, setCouple, setListener, setMessageSelectors, setupDurableSubscribers, setupQueueSubscription, subscribe`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RISubscription

    public RISubscription()

Method Detail

### setScope

    public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

  Description copied from class: `BrokerSubscription`
  set the scope

  Specified by:
    `setScope` in class `BrokerSubscription<RIListener>`
  Parameters:
    `scope` - the scope to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.